summaryrefslogtreecommitdiffstats
path: root/source/d/nasm/nasm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/nasm/nasm.SlackBuild')
-rwxr-xr-xsource/d/nasm/nasm.SlackBuild9
1 files changed, 5 insertions, 4 deletions
diff --git a/source/d/nasm/nasm.SlackBuild b/source/d/nasm/nasm.SlackBuild
index 73e1e37a8..d4162c0e6 100755
--- a/source/d/nasm/nasm.SlackBuild
+++ b/source/d/nasm/nasm.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,7 +21,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2.07
+PKGNAM=nasm
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -48,7 +49,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf nasm-$VERSION
-tar xvf $CWD/nasm-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/nasm-$VERSION.tar.?z* || exit 1
cd nasm-$VERSION
chown -R root:root .
find . \
@@ -71,7 +72,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
mkdir -p $PKG/usr/doc/nasm-$VERSION
cp -a \
- AUTHORS CHANGES COPYING INSTALL LICENSE README TODO \
+ AUTHORS CHANGES COPYING* INSTALL LICENSE README* TODO \
$PKG/usr/doc/nasm-$VERSION
( cd doc